Subject: bug#69819: 30.0.50; comint-mode does not always respect the read-only flag

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2024 09:16:37 +0200

> From: Dima Kogan <[email-masked]>
> Date: Fri, 15 Mar 2024 13:07:40 -0700
> 
> Hi. Here's a recipe:
> 
> 1. emacs -Q
> 
> 2. M-x shell
> 
> 3. Observe that the shell is live. You can run commands, and the
>    inferior process responds
> 
> 4. C-x C-q
> 
>    Turns on read-only-mode
> 
> 5. Observe that we now cannot interact with the shell since it's
>    read-only. We can C-x C-q again to make it work again. Before step 6,
>    C-x C-q again, to make it read-only
> 
> 6. C-d
> 
>    This normally exits the shell. But if we're read-only, it shouldn't
>    do that. I see that it still works, despite being read-only.

Why do you think C-d shouldn't work when the buffer is read-only?

> I'm observing this with all comint-based modes, not just shell-mode.

It's a feature, AFAICT.  But I'm interested in hearing why you thought
it was a bug.